<?php

namespace App\Http\Integrations\Imake;

use Saloon\Http\Connector;
use Saloon\Traits\Plugins\AcceptsJson;

class HubtelConnector extends Connector
{
    use AcceptsJson;

    /**
     * The Base URL of the API
     */
    public function resolveBaseUrl(): string
    {
        return env('HUBTEL_BASE_URL');
    }

    /**
     * Default headers for every request
     */
    protected function defaultHeaders(): array
    {
        return [];
    }

    /**
     * Default HTTP client options
     */
    protected function defaultConfig(): array
    {
        return [];
    }
}